package com.system.serivce;

import com.system.transfer.verification.*;

/**
 * @author Inori
 */
public interface ILicVerificationService {

    /**
     * Lic在线验证列表
     *
     * @param inVo 条件
     * @return 列表
     */
    LicOnlineVerificationLogListOutVo licOnlineVerificationLogList(LicOnlineVerificationLogListInVo inVo);

    /**
     * Lic在线验证详情
     *
     * @param inVo 条件
     * @return 详情
     */
    LicOnlineVerificationLogDetailOutVo licOnlineVerificationLogDetail(LicOnlineVerificationLogDetailInVo inVo);

    /**
     * Lic在线验证删除
     *
     * @param inVo 条件
     */
    void licOnlineVerificationLogDelete(LicOnlineVerificationLogDeleteInVo inVo);

    /**
     * Lic在线验证
     *
     * @param inVo 条件
     * @return 结果
     */
    String licOnlineVerification(LicOnlineVerificationInVo inVo);

    /**
     * 清除指定时间前的
     * @param nodeTime
     */
    void licOnlineVerificationLogClean(String nodeTime);
}
